Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Class InsertQuery

    java.lang.Object
      org.apache.cayenne.query.AbstractQuery
          org.apache.cayenne.query.InsertQuery

All Implemented Interfaces:
  java.io.Serializable, Query

Deprecated. since 1.2 Object InsertQuery is not needed anymore. It shouldn't be used directly anyway, but in cases where one might want to have access to it, InsertBatchQuery is a reasonable substitute.

    public class InsertQuery

extends AbstractQuery

Describes insert database operation. InsertQuery is initialized with object values snapshot and ObjectId.

See Also:
  Serialized Form

Field Summary
`protected ObjectId` | `objectId` Deprecated.
`protected java.util.Map` | `objectSnapshot` Deprecated.

Fields inherited from class org.apache.cayenne.query.AbstractQuery
`name, root`

Constructor Summary
`InsertQuery()` Deprecated. Creates empty InsertQuery.
`InsertQuery(java.lang.Class rootClass)` Deprecated. Creates InsertQuery with the `rootClass` as the root object
`InsertQuery(java.lang.Class rootClass, java.util.Map dataRow)` Deprecated. Creates InsertQuery with the `rootClass` as the root object
`InsertQuery(ObjEntity rootEntity)` Deprecated. Creates InsertQuery with the `rootEntity` as the root object
`InsertQuery(java.lang.String objEntityName)` Deprecated. Creates InsertQuery with `objEntityName` parameter.

Method Summary
`SQLAction` | `createSQLAction(SQLActionVisitor visitor)` Deprecated. Calls "makeUpdate" on the visitor.
`QueryMetadata` | `getMetaData(EntityResolver resolver)` Deprecated. Returns default select parameters.
`ObjectId` | `getObjectId()` Deprecated.
`java.util.Map` | `getObjectSnapshot()` Deprecated.
`void` | `setObjectId(ObjectId objectId)` Deprecated.
`void` | `setObjectSnapshot(java.util.Map objectSnapshot)` Deprecated.

Methods inherited from class org.apache.cayenne.query.AbstractQuery
`getName, getRoot, route, setName, setRoot, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### objectId

    protected ObjectId objectId

  Deprecated.

### objectSnapshot

    protected java.util.Map objectSnapshot

  Deprecated.

Constructor Detail

### InsertQuery

    public InsertQuery()

  Deprecated.
  Creates empty InsertQuery.

### InsertQuery

    public InsertQuery(ObjEntity rootEntity)

  Deprecated.
  Creates InsertQuery with the `rootEntity` as the root object

### InsertQuery

    public InsertQuery(java.lang.Class rootClass)

  Deprecated.
  Creates InsertQuery with the `rootClass` as the root object

### InsertQuery

    public InsertQuery(java.lang.Class rootClass,
                       java.util.Map dataRow)

  Deprecated.
  Creates InsertQuery with the `rootClass` as the root object

### InsertQuery

    public InsertQuery(java.lang.String objEntityName)

  Deprecated.
  Creates InsertQuery with `objEntityName` parameter.

Method Detail

### getMetaData

    public QueryMetadata getMetaData(EntityResolver resolver)

  Deprecated.
  Description copied from class: `AbstractQuery`
  Returns default select parameters.

  Specified by:
    `getMetaData` in interface `Query`
  Overrides:
    `getMetaData` in class `AbstractQuery`

### createSQLAction

    public SQLAction createSQLAction(SQLActionVisitor visitor)

  Deprecated.
  Calls "makeUpdate" on the visitor.

  Specified by:
    `createSQLAction` in interface `Query`
  Specified by:
    `createSQLAction` in class `AbstractQuery`
  Since:
    1.2

### getObjectSnapshot

    public java.util.Map getObjectSnapshot()

  Deprecated.

### setObjectSnapshot

    public void setObjectSnapshot(java.util.Map objectSnapshot)

  Deprecated.

### getObjectId

    public ObjectId getObjectId()

  Deprecated.

### setObjectId

    public void setObjectId(ObjectId objectId)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.